Uploaded image for project: 'Maven Dependency Plugin'
  1. Maven Dependency Plugin
  2. MDEP-489

Regression: unpack-dependencies fails on Windows for tar.gz containing executable file

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 2.10
    • Fix Version/s: None
    • Component/s: unpack-dependencies
    • Labels:

      Description

      unpack-dependencies fails on Windows for a tar.gz dependency containing an executable file with the following message:

      [ERROR] Failed to execute goal org.apache.maven.plugins:maven-dependency-plugin:2.10:unpack-dependencies (unpa
      ck-jres) on project boxfuse-commandline: Error unpacking file: C:\Users\Axel\.m2\repository\com\oracle\server-
      jre\8.45\server-jre-8.45-linux-x64.tar.gz to: C:\Workspaces\boxfuse-client\boxfuse-commandline\target\dependen
      cy\server-jre-linux-x64-tar.gz
      [ERROR] org.codehaus.plexus.archiver.ArchiverException: Error while expanding C:\Users\Axel\.m2\repository\com
      \oracle\server-jre\8.45\server-jre-8.45-linux-x64.tar.gz: C:\Workspaces\boxfuse-client\boxfuse-commandline\tar
      get\dependency\server-jre-linux-x64-tar.gz\jdk1.8.0_45\jre\lib\amd64\server\libjsig.so: A required privilege i
      s not held by the client.

      This was working fine in all previous versions including 2.8 and 2.9

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              axel.fontaine Axel Fontaine
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: